Package com.io7m.coffeepick.runtime.format.xml

# Class FormatXMLSPIParser

java.lang.Object
com.io7m.coffeepick.runtime.format.xml.FormatXMLSPIParser

All Implemented Interfaces:
  `SPIParserType`, `java.io.Closeable`, `java.lang.AutoCloseable`

    public final class FormatXMLSPIParser
    extends java.lang.Object
    implements SPIParserType

An XML parser.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FormatXMLSPIParser​(SPIParserRequest in_request, org.xml.sax.XMLReader in_reader)` | Construct a parser.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `close()` |
  `io.reactivex.rxjava3.core.Observable<ParseError>` | `errors()` |
  `ParserResultType` | `parse()` | Parse something.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FormatXMLSPIParser

    public FormatXMLSPIParser​(SPIParserRequest in_request, org.xml.sax.XMLReader in_reader)
    Construct a parser.
    Parameters:
      `in_request` - The parse request
      `in_reader` - The XML reader

- ## Method Details

  - ### close

    public void close() throws java.io.IOException
    Specified by:
      `close` in interface `java.lang.AutoCloseable`
    Specified by:
      `close` in interface `java.io.Closeable`
    Throws:
      `java.io.IOException`

  - ### errors

    public io.reactivex.rxjava3.core.Observable<ParseError> errors()
    Specified by:
      `errors` in interface `SPIParserType`
    Returns:
      The sequence of error events produced during parsing

  - ### parse

    public ParserResultType parse() throws java.io.IOException, ParserFailureException
    Description copied from interface: `SPIParserType`
    Parse something.
    Specified by:
      `parse` in interface `SPIParserType`
    Returns:
      The parsed value
    Throws:
      `java.io.IOException` - On I/O errors
      `ParserFailureException` - At the end of parsing if any error events have been raised, or if parsing encounters an unrecoverable error